<script lang="ts">
  import DownloadButton from "$lib/components/DownloadButton.svelte";
</script>

<div class="main">
  <banner>
    <section id="welcome">
      <h1>An Arch Based Distribution</h1>
      <h3>Crystal Linux Is a Brand New Arch Linux Based Distribution.</h3>
      <h3>Friendly, Powerful and Easy to Use.</h3>
      <DownloadButton/>
    </section>
  </banner>
</div>

<style lang="scss">
  .main {
    background: url("/crystal-blob-light.svg");
    background-clip: content-box;
    flex: 1;
    display: flex;
    flex-direction: column;
    min-height: 30em;
    width: 100%;
    padding: 0px;
    margin: 0;
    & banner {
      padding-top: 9em;
      width: 100%;
      margin: 0 auto;
      @media only screen and (max-width: 800px) {
	padding-top: 2em;
      }
    }
    & section {
      width: 100%;

      & h1 {
	font-size: 2.5em;
      }

      & * {
	text-align: center;
      }
    }

    @media (prefers-color-scheme: dark) {
      background: url("/crystal-blob-dark.svg");
    }


  }


</style>
